It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Hello fellow Linux gamers!

Here you’ll find scripts allowing you to build packages for Debian, Arch Linux and any derivative (Ubuntu, Manjaro, Linux Mint, etc.) from your GOG installers for Blackwell games.
You will then be able to easily install these packages with you favourite packages manager.

Download links and usage instructions can be found on the following pages:
Blackwell 1: The Blackwell Legacy
Blackwell 2: Blackwell Unbound
Blackwell 3: Blackwell Convergence
Blackwell 4: Blackwell Deception
Blackwell 5: The Blackwell Epiphany

We hope you’ll enjoy the ease-of-use provided by these scripts as much as we enjoy writing and tweaking them ;)

Here you go for more supported games!

-----

Salut camarades Linuxiens !

Vous trouverez ici des scripts vous permettant de construire des paquets pour Debian, Arch Linux ou n’importe quelle distribution dérivée de celles-ci (Ubuntu, Manjaro, Linux Mint, etc.) à partir de vos installeurs GOG pour la série Blackwell.
Ces paquets pourront ensuite être installés facilement via votre gestionnaire de paquets habituel.

Les liens de télechargement et les instructions d’utilisation se trouvent sur les pages suivantes :
Blackwell 1: The Blackwell Legacy
Blackwell 2: Blackwell Unbound
Blackwell 3: Blackwell Convergence
Blackwell 4: Blackwell Deception
Blackwell 5: The Blackwell Epiphany

Nous espérons que vous apprécierez le confort apporté par ces scripts autant que nous apprécions les écrire et les améliorer ;)

Pour plus de jeux, rendez-vous par ici !
Post edited January 16, 2018 by vv221
Update

Support added for The Blackwell Legacy
Update

Support added for :
- Blackwell 2: Blackwell Unbound
- Blackwell 3: Blackwell Convergence
- Blackwell 4: Blackwell Deception
How do I uninstall game(s) after I finish them ?

If I just delete this folder: /usr/local/share/blackwell-1-the-blackwell-legacy
and menu shortcuts, is that it?
avatar
boyanpn: (…)
You should use your package manager (pacman?) to uninstall the packages 'blackwell-1-the-blackwell-legacy' and 'blackwell-1-the-blackwell-legacy-data'.
Post edited April 22, 2018 by vv221
oh, what do you know ... those packages actually exist :)
I assumed because I used your script to install game, there must be some special way to uninstall it.

Thank you very much, game works perfectly btw!
avatar
boyanpn: (…)
Part of the point of these scripts is to make installing/updating/uninstalling our games an easier task, and we thought using our distros package manager is the best way to handle this ;)
avatar
boyanpn: (…)
avatar
vv221: Part of the point of these scripts is to make installing/updating/uninstalling our games an easier task, and we thought using our distros package manager is the best way to handle this ;)
Thank you for the script. I know that I expressed my doubts and even critizised it at first (in a different thread for a different game; I think it was Beneath a Steel Sky), but I have completely revised my opinion.

The script works great and it even keeps the deb-packages for future use. Very well done. Thank you!

I agree with you, that the package manager is the best way of managing the packages in the system. Flatpack or Snap look promising in some ways, but that's yet another different approach. Might be worth a look, though, since with the aging of games it might become more difficult to find the necessary libraries in the repositories.
avatar
JimPhelps: (…)
Approval by people who originally had doubts about ./play.it is always very well appreciated, thank you for that ;)

Flatpack/Snap/AppImage are far from being a priority, but I’m pretty sure they will be integrated at some point.
We just need to find someone really invested in these packaging formats and get her on board…